%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% normp.m
% 
% Normalizes to the octave (MIDI note # 60-71)
% Greg Eustace, MUMT 611, final project
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [y] = normp (x);

y = x; 

for i = 1:length(x),
    if x(i)>=108,
        y(i) = x(i)-48;
    elseif x(i)>=96 && x(i)<108,
        y(i) = x(i)-36;
    elseif x(i)>=84 && x(i)<96,
        y(i) = x(i)-24;
    elseif x(i)>=72 && x(i)<84,
        y(i) = x(i)-12;
    elseif x(i)<36,
        y(i) = x(i)+36;
    elseif x(i)<48 && x(i)>=36,
        y(i) = x(i)+24;
    elseif x(i)<60 && x(i)>=48,
        y(i) = x(i)+12;
    end
end