%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% itoc.m
% 
% converts intervals to coutour respresentation
% Where the discrete alphabet consists of ascending leaps(5), steps(4), no
% change (3), decending steps (2) and leaps (1). 
% Greg Eustace, MUMT 611, final project
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [y] = itoc (in); 

L =31;
a = 0; b =0; c = 0; d = 0; e =0;

for i = 1:length(in),
    if in(1,i) >=16 % 16
        y(1,i) = 5;
    elseif in(1,i) < 16 && in(1,i) >= 14 % 14 15
        y(1,i) = 4;
    elseif in(i) == 13 % 13
        y(1,i) = 3;
    elseif in(1,i) < 13 && in(1,i) >10 % 11 12
        y(1,i) = 2;
    elseif in(1,i) <=10 % 1 to 10
        y(1,i) = 1;
    else
        disp('problem with itoc');
    end
end