%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% normi.m
% 
% Normalizes to intervals the octave
% Greg Eustace, MUMT 611, final project
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [out] = normi (in);

out = in; 

for k = 1:length(in),
    if in(k)>=60 && in(k)<72,
        out(k) = in(k)-60;
    elseif in(k)>=48 && in(k)<60,
        out(k) = in(k)-48;
    elseif in(k)>=36 && in(k)<48,
        out(k) = in(k)+36;
    elseif in(k)>=24 && in(k)<36,
        out(k) = in(k)-24;
    elseif in(k)>=12 && in(k)<24,
        out(k) = in(k)-12;
    elseif in(k)<=-12 && in(k)>24,
        out(k) = in(k)+12;
    elseif in(k)<=24 && in(k)>36,
        out(k) = in(k)+24;   
    elseif in(k)<=36 && in(k)>48,
        out(k) = in(k)+36;
    elseif in(k)<=48 && in(k)>60,
        out(k) = in(k)+48;    
    elseif in(k)<=60 && in(k)>72,
        out(k) = in(k)+60;
    end
end